# Uses of Class
com.logicaldoc.core.security.Device

Packages that use Device
Package
Description
com.logicaldoc.core.security
Container of the security-related interfaces and classes

## Uses of Device in com.logicaldoc.core.security

Methods in com.logicaldoc.core.security that return Device
Modifier and Type
Method
Description
`Device`
DeviceDAO.`findByDevice(Device device)`
Finds the device that corresponds to the given one
`Device`
HibernateDeviceDAO.`findByDevice(Device device)`
`Device`
DeviceDAO.`findByDeviceId(String deviceId)`
Gets the device by it's alternate key: `getDeviceId()`
`Device`
HibernateDeviceDAO.`findByDeviceId(String deviceId)`
`Device`
Client.`getDevice()`
`Device`
DeviceDAO.`trustDevice(User user, Device device)`
Trusts a device for a user
`Device`
HibernateDeviceDAO.`trustDevice(User user, Device requestDevice)`
Methods in com.logicaldoc.core.security that return types with arguments of type Device
Modifier and Type
Method
Description
`List<Device>`
DeviceDAO.`findByUserId(long userId)`
Finds the devices of a specific user
`List<Device>`
HibernateDeviceDAO.`findByUserId(long userId)`
`List<Device>`
DeviceDAO.`findTrustedDevices(long userId)`
Retrieves all the devices trusted by a given user
`List<Device>`
HibernateDeviceDAO.`findTrustedDevices(long userId)`
Methods in com.logicaldoc.core.security with parameters of type Device
Modifier and Type
Method
Description
`Device`
DeviceDAO.`findByDevice(Device device)`
Finds the device that corresponds to the given one
`Device`
HibernateDeviceDAO.`findByDevice(Device device)`
`void`
Client.`setDevice(Device device)`
`void`
HibernateDeviceDAO.`store(Device entity)`
`Device`
DeviceDAO.`trustDevice(User user, Device device)`
Trusts a device for a user
`Device`
HibernateDeviceDAO.`trustDevice(User user, Device requestDevice)`